#include <vcl.h>
#pragma hdrstop

#include <Eic.h>
#include "MTAG_Outils.h"
#include "uParamCourrierEtCarnAdr.h" //Pour GetRepsCourrier
#include "CParamCourrier.h"

#define MODULE_TAG MTAG_CPARAMCOURRIER

#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck est utilisé pour être sûr que les composants créés n'ont
// aucune fonction virtuelle pure.
//

static inline void ValidCtrCheck(CParamCourrier *)
{
   new CParamCourrier(NULL);
}
//---------------------------------------------------------------------------
__fastcall CParamCourrier::CParamCourrier(TComponent* Owner)
   : CCourrier(Owner)
{
try
   {
   ModeParametrage = true;
   }
catch(Exception &e)
   {
   EICDisplayException(TAG(10), e);
   }
}

//---------------------------------------------------------------------------
namespace Cparamcourrier
{
   void __fastcall PACKAGE Register()
   {
       TComponentClass classes[1] = {__classid(CParamCourrier)};
       RegisterComponents("EIC Outils", classes, 0);
   }
}
//---------------------------------------------------------------------------
